#!/bin/sh
#
#################################################################
# Script um aus dem DVB-Datenstrom die Codierungen zu bestimmen #
#   Kleinere Erweiterungen von BPanther  ---  20. Januar 2010   #
#################################################################
# "msgbox" statt "echo" benutzen (nur DBox2)
UseMsgBox=0
# Einblendzeit der Meldungen bei msgbox in Sekunden
OSDTime=300
# EMM-Daten (experimentell)
EMM=0
#################################################################
Ausgabe() {
  if [ $UseMsgBox == 1 ]; then
    msgbox title="~cWykryte systemy kodowania" popup="$MSG" timeout=$OSDTime
  else
    echo "Wykryte systemy kodowania"
    echo "------------------------------------------"
    echo "$MSG"
  fi
}
#################################################################
# MSG=`/var/plugins/dvbsnoop -n 1 1 -timeout 5000 |grep CA_system_ID |cut -f 2- -d "x" |sed -e 's/]//g' |sed -e 's/)  \[=/h:/g'`
# Nagra CA_systemID 0x1801, CA_PID 0x1001 - RAW-EMM
# dvbsnoop -pd 0 -ph 2 -f 0x82.70.6c -m 0xFF 0x1001
CAID=`/var/plugins/dvbsnoop -n 1 1 -timeout 5000 |grep CA_system_ID |cut -f 2- -d "x" |sed -e 's/]//g' |sed -e 's/)  \[=/ =>/g'`
if [ ! "$CAID" ]; then
  CAID="Kanał jest niekodowany."
  else
  if [ $EMM == 1 ]; then
    CAPID=`/var/plugins/dvbsnoop -n 1 1 -timeout 5000 |grep CA_PID |cut -f 2- -d "x" |sed -e 's/]//g' |sed -e 's/)//g'`
  fi
fi
MSG="$CAID$CAPID"
Ausgabe
exit 0
